## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <purpose>

`<purpose>` | characterizes a single purpose or communicative function of the text.

Attributes

(In addition to global attributes)

`type` | specifies a particular kind of purpose.
| Datatype: CDATA

Suggested values include:

persuade | didactic, advertising, propaganda, etc.
express | self expression, confessional, etc.
inform | convey information, educate, etc.
entertain | amuse, entertain, etc.

| Default: #IMPLIED

`degree` | specifies the extent to which this purpose predominates.
| Datatype: (high | medium | low | unknown)

Legal values are:

high | this purpose is predominant
medium | this purpose is intermediate
low | this purpose is weak
unknown | extent unknown

| Default: #IMPLIED

Example

    <purpose type="persuade" degree="high"></purpose>
    <purpose type="entertain" degree="low"></purpose>

Module Declared in file teicorp2; Additional tag set for language corpora: enabled by TEI.corpus
Data Description Usually empty, unless some further clarification of the type attribute is needed, in which case it may contain running prose
May contain #PCDATA abbr add addSpan address alt altGrp anchor app c caesura cb certainty cl corr damage date dateRange dateStruct del delSpan distinct emph expan fLib foreign formula fs fsLib fvLib fw gap geogName gloss handShift hi index interp interpGrp join joinGrp lang lb link linkGrp m measure mentioned milestone name num oRef oVar orgName orig pRef pVar pb persName phr placeName ptr ref reg respons restore rs s seg sic soCalled space span spanGrp supplied term time timeRange timeStruct timeline title unclear w xptr xref
May occur within textDesc
Declaration

    <!ELEMENT purpose %om.RO; %phrase.seq;>
    <!ATTLIST purpose
          %a.global;
          type CDATA #IMPLIED
          degree (high | medium | low | unknown) #IMPLIED>

See further 23.2.1 The Text Description

Up: 35 Elements